<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celNavigationInfo Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">celNavigationInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celNavigationInfo" -->
<p>Navigation result between navigator and target.  
 <a href="structcelNavigationInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="navigation_8h_source.html">celtool/navigation.h</a>&gt;</code></p>

<p><a href="structcelNavigationInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationInfo.html#aebebd096c5dce2c236aca57b3e4d8654">angle</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Point-point angle between navigator and target.  <a href="#aebebd096c5dce2c236aca57b3e4d8654"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationInfo.html#a7728772df051eb570063f9bc15e23a19">distance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Point-Point distance between navigator and target.  <a href="#a7728772df051eb570063f9bc15e23a19"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationInfo.html#ac05bf9ba318a92da6e47d8fcb5d13226">success</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">True if navigator and target are found.  <a href="#ac05bf9ba318a92da6e47d8fcb5d13226"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcelNavigationInfo.html#ad2346bbae6614ad1d82370cef9a7cc95">visible</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">True if navigator and target can see eachother.  <a href="#ad2346bbae6614ad1d82370cef9a7cc95"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Navigation result between navigator and target. </p>

<p>Definition at line <a class="el" href="navigation_8h_source.html#l00037">37</a> of file <a class="el" href="navigation_8h_source.html">navigation.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aebebd096c5dce2c236aca57b3e4d8654"></a><!-- doxytag: member="celNavigationInfo::angle" ref="aebebd096c5dce2c236aca57b3e4d8654" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> <a class="el" href="structcelNavigationInfo.html#aebebd096c5dce2c236aca57b3e4d8654">celNavigationInfo::angle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Point-point angle between navigator and target. </p>

<p>Definition at line <a class="el" href="navigation_8h_source.html#l00044">44</a> of file <a class="el" href="navigation_8h_source.html">navigation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7728772df051eb570063f9bc15e23a19"></a><!-- doxytag: member="celNavigationInfo::distance" ref="a7728772df051eb570063f9bc15e23a19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structcelNavigationInfo.html#a7728772df051eb570063f9bc15e23a19">celNavigationInfo::distance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Point-Point distance between navigator and target. </p>

<p>Definition at line <a class="el" href="navigation_8h_source.html#l00046">46</a> of file <a class="el" href="navigation_8h_source.html">navigation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac05bf9ba318a92da6e47d8fcb5d13226"></a><!-- doxytag: member="celNavigationInfo::success" ref="ac05bf9ba318a92da6e47d8fcb5d13226" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structcelNavigationInfo.html#ac05bf9ba318a92da6e47d8fcb5d13226">celNavigationInfo::success</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>True if navigator and target are found. </p>

<p>Definition at line <a class="el" href="navigation_8h_source.html#l00040">40</a> of file <a class="el" href="navigation_8h_source.html">navigation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad2346bbae6614ad1d82370cef9a7cc95"></a><!-- doxytag: member="celNavigationInfo::visible" ref="ad2346bbae6614ad1d82370cef9a7cc95" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structcelNavigationInfo.html#ad2346bbae6614ad1d82370cef9a7cc95">celNavigationInfo::visible</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>True if navigator and target can see eachother. </p>

<p>Definition at line <a class="el" href="navigation_8h_source.html#l00042">42</a> of file <a class="el" href="navigation_8h_source.html">navigation.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>celtool/<a class="el" href="navigation_8h_source.html">navigation.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
